<?php
include'database.php';

session_start();

function fetchDoctor($pdo){
    if($_SESSION["user_type"] == 2){
        $user = finduser($pdo, $_SESSION["user"]);
        return $user[0][4];
    } 
    return $_GET["medico"];
}


function listEvents($pdo){
    $doctor = fetchDoctor($pdo);
    $events = fetchCalendarEvents($pdo, $doctor);
    return $events;
}


function listHolidays($pdo){
    $doctor = fetchDoctor($pdo);
    $holidays = fetchDoctorHolidays($pdo, $doctor);
    return json_encode($holidays);
}


function appointmentCreation(){
    $data = $_POST;
    $pdo = connectDatabase();
    createAppointment($pdo, $data);
    closeDatabase($pdo);
    header('location: appointment.php');
}


function appointmentModification(){
    $data = $_POST;
    $pdo = connectDatabase();
    editAppointment($pdo, $data);
    closeDatabase($pdo);
    header('location: appointment.php');
}


function appointmentDeletion(){
    $id = $_POST["event_id"];
    $pdo = connectDatabase();
    deleteAppointment($pdo, $id);
    closeDatabase($pdo);
    header('location: appointment.php');
}


if(isset($_POST["create"])){
    appointmentCreation();
}

if(isset($_POST["edit"])){
    appointmentModification();
}

if(isset($_POST["delete"])){
    appointmentDeletion();
}
